Bug 1163470 - dhcp assignments aren't updated on neutron-dhcp-agent restart
Summary: dhcp assignments aren't updated on neutron-dhcp-agent restart
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-neutron
Version: 5.0 (RHEL 7)
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: z3
: 5.0 (RHEL 7)
Assignee: Miguel Angel Ajo
QA Contact: Toni Freger
URL:
Whiteboard:
Depends On:
Blocks: 1162108
TreeView+ depends on / blocked
 
Reported: 2014-11-12 18:46 UTC by Miguel Angel Ajo
Modified: 2016-04-26 17:52 UTC (History)
5 users (show)

Fixed In Version: openstack-neutron-2014.1.3-11.el6ost openstack-neutron-2014.1.3-10.el7ost
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-02 17:00:35 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:1942 normal SHIPPED_LIVE Moderate: openstack-neutron security and bug fix update 2014-12-02 21:58:59 UTC

Description Miguel Angel Ajo 2014-11-12 18:46:44 UTC
Description of problem:

If you stop the neutron-dhcp-agent, start a new VM, then start neutron-dhcp-agent, the new config file isn't set with new lease, so, the new VM won't find DHCP unless a new VM is started afterwards.

This regression is introduced by the process monitor patch I backported.

Version-Release number of selected component (if applicable):

openstack-neutron-2014.1.3-9.el6ost 
openstack-neutron-2014.1.3-8.el7ost

starting at openstack-neutron-2014.1.3-4.el7ost

How reproducible:
100%

Steps to Reproduce:
1. stop neutron-dhcp-agent
2. start a new VM, and wait 10-20 seconds
3. start neutron-dhcp-agent
4. try to reboot, start/stop the VM, no success with DHCP
5. Add a new VM to same network, this one will get DHCP
6. Restart the first VM, it will get DHCP now

Actual results:

VM doesn't get dhcp if it was started on the middle of a restart.
because leases aren't updated.

dhcp_agent.log will have something like:

2014-11-12 13:16:54.422 23588 DEBUG neutron.agent.linux.utils [req-b123e47f-d42e-4cce-a989-7845168a7acb None] Unable to access /var/lib/neutron/external/pids/74124f90-5fbf-48f2-b2c9-36dbd109ad7d.pid.dnsmasq get_value_from_file /usr/lib/python2.7/site-packages/neutron/agent/linux/utils.py:162

Expected results:

VM get's dhcp as the dhcp-agent restart may update the leases.

Additional info:

Comment 5 Toni Freger 2014-11-17 09:27:04 UTC
Tested in Rhel7 AIO + Compute node
OpenStack/5.0-RHEL-7/2014-11-14.1

openstack-neutron-2014.1.3-10.el7ost.noarch
openstack-neutron-ml2-2014.1.3-10.el7ost.noarch
openstack-neutron-metering-agent-2014.1.3-10.el7ost.noarch
openstack-neutron-openvswitch-2014.1.3-10.el7ost.noarch

Steps to Reproduce:
1. stop neutron-dhcp-agent
2. start a new  4 VMs, and wait 20-30 seconds
3. start neutron-dhcp-agent
4. reboot the VMs
5. All VMs are assigned IP successfully

Comment 7 errata-xmlrpc 2014-12-02 17:00:35 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2014-1942.html


Note You need to log in before you can comment on or make changes to this bug.